sh5util(1)

NAME

sh5util - Tool for merging HDF5 files from the acct_gather_profile plugin that gathers detailed data for jobs running under SLURM

SYNOPSIS

sh5util

DESCRIPTION

sh5util merges HDF5 files produced on each node for each step of a job into one HDF5 file for the job. The resulting file can be viewed and manipulated by common HDF5 tools such as HDF5View, h5dump, h5edit, or h5ls.

sh5util has two execution modes. The first mode merges all the node-step files for a job into one job file. The second mode extracts a limited set of data for specific nodes, steps, and data series. The extract mode is set with the --extract command line option.

The merge mode of sh5util is expected to be launched during the controller epilog script using the SLURM_JOB_ID environment variable. However, it can be launched on any system with access to the shared file system.

OPTIONS

--jobid=<number>
    supplies the slurm jobid of the node-step files to be merged.

--profiledir=<path>
    supplies the path containing the node-step files to be merged. This is a required argument.

--savefiles
    retains the merge-step files after the merge. Normally, they are deleted.

--extract
    sets extract mode to extract limited subsets of data from the HDF5 file into a comma, separated, value file suitable for import into a spreadsheet or other analysis tool. The following options apply to extract mode.

--stepid=<n | *>
    specifies the step for which data is to be extracted. It is either a step number, or * which specifies all steps. * is the default.

--node=<name | *>
    specifies the name fo the node for which data is to be extracted. It is either nodename, or * which specifies all nodes. * is the default.

--level=[Node:Totals|Node:TimeSeries|Task:Totals]
    specifies the level in the job structure from which data is to be extracted.

    Node:Totals means the extracted data will come from the Totals
        group of a node.

    Node:TimeSeries means the extracted data will come from the Time Series
        group of a node.

    --series=<name | *>
        specifies the name of the data series which is to be extracted. It is either series name, or Tasks which is all tasks, or * which specifies all series. * is the default.

    --output=<path>
        specifies the path of the csv file containing the extracted data. By default it is 'profile_data.csv' in the current directory/

COPYING
SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO